Skip to main content
GET
/
markets
List lending markets
curl --request GET \
  --url https://api.circular.rosetta.sh/api/v1/markets \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.circular.rosetta.sh/api/v1/markets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.circular.rosetta.sh/api/v1/markets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "uniqueKey": "<string>",
      "chainId": 123,
      "label": "<string>",
      "collateral": "<string>",
      "loan": "<string>",
      "collateralAddress": "<string>",
      "loanAddress": "<string>",
      "collateralPrice": 123,
      "loanPrice": 123,
      "supply": 123,
      "borrow": 123,
      "available": 123,
      "utilization": 123,
      "supplyApy": 123,
      "borrowApy": 123,
      "supplyRewardsApy": 123,
      "borrowRewardsApy": 123,
      "rewardTokens": [
        "<string>"
      ],
      "lltv": 123,
      "maxLeverage": 123,
      "strategyType": "<string>",
      "strategyInfo": {
        "type": "<string>",
        "label": "<string>",
        "description": "<string>",
        "color": "<string>",
        "icon": "<string>"
      },
      "vaultSymbol": "<string>",
      "vaultAddress": "<string>",
      "governor": "<string>",
      "oracle": {
        "address": "<string>",
        "feeds": [
          {
            "address": "<string>",
            "description": "<string>",
            "pair": "<string>"
          }
        ],
        "isComposite": true,
        "warnings": [
          "<string>"
        ]
      },
      "oracleHealth": {
        "lastUpdateTimestamp": 123,
        "secondsSinceUpdate": 123,
        "expectedHeartbeatSeconds": 123,
        "isStale": true,
        "stalenessRatio": 123
      }
    }
  ],
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}
{
  "error": "<string>",
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}
{
  "error": "<string>",
  "message": "<string>"
}
{
  "error": "RATE_LIMIT_EXCEEDED",
  "message": "<string>",
  "retryAfter": 123
}

Authorizations

Authorization
string
header
required

API key in format circ_live_* or circ_test_*

Query Parameters

limit
integer
default:50

Maximum number of results to return

offset
integer
default:0

Number of results to skip

chainIds
string

Comma-separated chain IDs to filter by

assets
string

Filter by asset symbol

Response

List of markets

data
object[]
meta
object